Limerence
Agents

Add Agent Data Source

Add a data source to an agent

POST
/agents/{id}/data-sources

Add a data source to an agent

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

dataSourceId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/agents/string/data-sources" \  -H "Content-Type: application/json" \  -d '{    "dataSourceId": "string"  }'
{
  "dataSource": {
    "id": "string",
    "name": "string",
    "type": "SQLITE"
  },
  "agentId": "string",
  "createdAt": "string",
  "dataSourceId": "string",
  "id": "string"
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}